Package com.io7m.idstore.admin_client

# Class IdAClients

java.lang.Object
com.io7m.idstore.admin_client.IdAClients

All Implemented Interfaces:
  `com.io7m.hibiscus.api.HBClientAsynchronousFactoryType<IdAClientException,IdAClientConfiguration,IdACommandType<?>,IdAResponseType,IdAResponseType,IdAResponseError,IdAClientEventType,IdAClientCredentials,IdAClientAsynchronousType>`, `com.io7m.hibiscus.api.HBClientFactoryType<IdAClientException,IdAClientConfiguration,IdACommandType<?>,IdAResponseType,IdAResponseType,IdAResponseError,IdAClientEventType,IdAClientCredentials,IdAClientAsynchronousType,IdAClientSynchronousType>`, `com.io7m.hibiscus.api.HBClientSynchronousFactoryType<IdAClientException,IdAClientConfiguration,IdACommandType<?>,IdAResponseType,IdAResponseType,IdAResponseError,IdAClientEventType,IdAClientCredentials,IdAClientSynchronousType>`, `IdAClientFactoryType`

public final class IdAClients extends Object implements IdAClientFactoryType
The default client factory.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdAClients()`
  The default client factory.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IdAClientAsynchronousType`
  `openAsynchronousClient(IdAClientConfiguration configuration)`
  `IdAClientSynchronousType`
  `openSynchronousClient(IdAClientConfiguration configuration)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IdAClients

    public IdAClients()
    The default client factory.

- ## Method Details

  - ### openAsynchronousClient

    public IdAClientAsynchronousType openAsynchronousClient(IdAClientConfiguration configuration) throws IdAClientException
    Specified by:
      `openAsynchronousClient` in interface `com.io7m.hibiscus.api.HBClientAsynchronousFactoryType<IdAClientException,IdAClientConfiguration,IdACommandType<?>,IdAResponseType,IdAResponseType,IdAResponseError,IdAClientEventType,IdAClientCredentials,IdAClientAsynchronousType>`
    Throws:
      `IdAClientException`

  - ### openSynchronousClient

    public IdAClientSynchronousType openSynchronousClient(IdAClientConfiguration configuration) throws IdAClientException
    Specified by:
      `openSynchronousClient` in interface `com.io7m.hibiscus.api.HBClientSynchronousFactoryType<IdAClientException,IdAClientConfiguration,IdACommandType<?>,IdAResponseType,IdAResponseType,IdAResponseError,IdAClientEventType,IdAClientCredentials,IdAClientSynchronousType>`
    Throws:
      `IdAClientException`